sampler ColorMapSampler : register(s0);

float fTimer;

float4 PixelShader(float2 Tex: TEXCOORD0) : COLOR
{
	
	Tex.x += sin(fTimer)*((1.0f-Tex.y)*0.24f);
	
	float4 Color = tex2D(ColorMapSampler, Tex);	
	
  return Color;
}

technique PostProcess
{
	pass P0
	{
		PixelShader = compile ps_2_0 PixelShader();
	}
}